/* Product page block */

.product-details wishlist-button-block {
  font-size: 0;
}

.product-details wishlist-button-block .wk-button {
  font-size: calc(var(--wk-font-text-scale) * 1rem);
}

/* Product page button (custom) */

.product-details wishlist-button-product {
  font-size: 0;
}

.product-details wishlist-button-product .wk-button {
  font-size: calc(var(--wk-font-text-scale) * 1rem);
}

/* Collection button */

wishlist-button-collection .wk-button,
wishlist-button-collection .wk-button:hover {
  --icon-stroke: var(--colorBtnPrimaryText);
  --button-background: var(--colorBtnPrimary);
  --button-background-size: 37px;
  width: 37px;
  min-width: 37px;
  height: 37px;
  min-height: 37px;
}

@media (hover: hover) {
  wishlist-button-collection .wk-button {
    transition: transform 0.1s ease-out;
  }

  wishlist-button-collection .wk-button:hover {
    transform: scale(1.15);
  }
}

@media only screen and (max-width: 768px) {
  wishlist-button-collection .wk-button,
  wishlist-button-collection .wk-button:hover {
    --icon-size: 12px;
    --button-background-size: 26px;
    width: 26px;
    min-width: 26px;
    height: 26px;
    min-height: 26px;
  }
}
